{% extends 'base.html' %}
{% load static %}

{% block content %}
    <div class="card">
        <div class="card-header">
            {% if editform %}
                <h4 class="card-title">Edit Business</h4>
            {% else %}
                <h4 class="card-title">Add Business</h4>
            {% endif %}
        </div>
        <div class="card-body">
            <div class="basic-form">
                {% if editform %}
                    <form method="POST" action="{% url 'BusinessEdit' businessUUID=businessUUID %}" enctype="multipart/form-data">
                {% else %}
                    <form method="POST" action="{% url 'BusinessAdd' %}" enctype="multipart/form-data">
                {% endif %}
                {% csrf_token %}

                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Name</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Business Name"
                               name="name" value="{{ business.name }}">
                    </div>
                </div>

                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Legal Identifier</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Legal Identifier"
                               name="legalIdentifier" value="{{ business.legalIdentifier }}">
                    </div>
                </div>

                <button type="submit" class="btn btn-primary">Submit</button>
                <a href="{% url 'BusinessList' %}" class="btn btn-warning">Cancel</a>
                </form>
            </div>
        </div>
    </div>
{% endblock %}
